CUDA Driver API (PDF) - v9.1.85 (older) - Last updated November 3, 2017 - Send Feedback

## 4.4. Version Management

This section describes the version management functions of the low-level CUDA driver application programming interface.

### Functions

CUresult cuDriverGetVersion ( int* driverVersion )
  Returns the CUDA driver version.

### Functions

CUresult cuDriverGetVersion ( int* driverVersion )
  Returns the CUDA driver version.

  ###### Parameters

  `driverVersion`
    - Returns the CUDA driver version

  ###### Returns

  CUDA_SUCCESS, CUDA_ERROR_INVALID_VALUE

  ###### Description

  Returns in `*driverVersion` the version number of the installed CUDA driver. This function automatically returns CUDA_ERROR_INVALID_VALUE if the `driverVersion` argument is NULL.

  Note:

  Note that this function may also return error codes from previous, asynchronous launches.

  See also:

  cudaDriverGetVersion, cudaRuntimeGetVersion